/*
 * stm32f205_startup.h
 *
 *  Created on: Jan 8, 2016
 *      Author: peer
 */

#ifndef STM32F205_STARTUP_H_
#define STM32F205_STARTUP_H_

#define STACK_TOP 0x20000800   // just a tiny stack for demo

static void nmi_handler(void);
static void hardfault_handler(void);
int main(void);

// Define the vector table
unsigned int *myvectors[4]
__attribute__ ((section("vectors"))) = {
    (unsigned int *) STACK_TOP,         // stack pointer
    (unsigned int *) main,              // code entry point
    (unsigned int *) nmi_handler,       // NMI handler (not really)
    (unsigned int *) hardfault_handler  // hard fault handler
};


void nmi_handler(void)
{
    for(;;);
}

void hardfault_handler(void)
{
    for(;;);
}
#endif /* STM32F205_STARTUP_H_ */
